Strategy / REST API
Apply campaign revision
Apply an exact previewed prelaunch campaign revision after confirmation. Refuses stale previews and live or scheduled campaigns. Does not source, research, write, schedule, or send.
POST /api/v1/campaign-revisions/applyDeterministic operationParameters
workspaceIdRequired · string- See the input schema for this field.
briefIdRequired · string- See the input schema for this field.
segmentIdRequired · string- See the input schema for this field.
expectedVersionRequired · integer- See the input schema for this field.
proposedPlanRequired · object- See the input schema for this field.
expectedSegmentUpdatedAtOptional · string- See the input schema for this field.
segmentPatchOptional · object- See the input schema for this field.
reasonOptional · string- See the input schema for this field.
proposalFingerprintRequired · string- See the input schema for this field.
rowCohortRequired · object- See the input schema for this field.
confirmRequired · boolean- See the input schema for this field.
curl -X POST "https://app.pipeline.help/api/v1/campaign-revisions/apply" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"workspaceId":"00000000-0000-4000-8000-000000000001","briefId":"00000000-0000-4000-8000-000000000002","segmentId":"00000000-0000-4000-8000-000000000003","expectedVersion":1,"proposedPlan":{},"proposalFingerprint":"aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa","rowCohort":{},"confirm":true}'Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string"
},
"briefId": {
"type": "string"
},
"segmentId": {
"type": "string"
},
"expectedVersion": {
"type": "integer",
"minimum": 1
},
"proposedPlan": {
"type": "object",
"additionalProperties": true
},
"expectedSegmentUpdatedAt": {
"type": "string"
},
"segmentPatch": {
"type": "object",
"additionalProperties": true
},
"reason": {
"type": "string",
"maxLength": 2000
},
"proposalFingerprint": {
"type": "string"
},
"rowCohort": {
"type": "object",
"additionalProperties": true
},
"confirm": {
"type": "boolean",
"const": true
}
},
"required": [
"workspaceId",
"briefId",
"segmentId",
"expectedVersion",
"proposedPlan",
"proposalFingerprint",
"rowCohort",
"confirm"
],
"additionalProperties": false
}